Remove attachment (by Issue ID)
Permanently removes an attachment from an issue. The file will be deleted and cannot be reused.
Request
DELETE
https://api.sourcecraft.tech/issues/id:{issue_id}/attachments/{attachment_id}
Path parameters
|
Name |
Description |
|
attachment_id |
Type: string Example: `` |
|
issue_id |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
silent |
Type: boolean creation options (query) |
Responses
204 No Content
A successful response.
Body
application/json
{}
|
Name |
Description |
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |
Была ли статья полезна?
Предыдущая
Следующая